Bug 1110 - в /etc/init.d/iptables не учитываются цепочки nat и mangle
: в /etc/init.d/iptables не учитываются цепочки nat и mangle
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/iptables)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-07-16 19:46 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-07-16 19:46:34
service iptables save сохраняет данные из всех таблиц, а вот service iptables
stop не чистит nat и mangle. То же самое и с service iptables status -
показывает только filter
---

---
------- Comment #1 From 2002-11-25 05:16:27 -------
По поводу service iptables stop - это даже не feature, а достаточно неприятный
баг. По логике, после servicve iptables stop доступ хостам, пользующим NAT
должен быть перекрыт. А в результате, он не только не перекрывается, но еще и
разрешается всем (в том случае, когда в NAT-таблице есть одно/два общих правил
трансляции, а доступ ограничивается через filter-таблицу FORWARD). Т.е. кто
отмаршрутизируется через данный хост - свободно уйдет в Cеть, потому как после
stop все правила сбрасываются в default state  (ACCEPT) - а это уже проблемы с
security.
------- Comment #2 From 2002-11-25 05:16:27 -------
По поводу service iptables stop - это даже не feature, а достаточно неприятный
баг. По логике, после servicve iptables stop доступ хостам, пользующим NAT
должен быть перекрыт. А в результате, он не только не перекрывается, но еще и
разрешается всем (в том случае, когда в NAT-таблице есть одно/два общих правил
трансляции, а доступ ограничивается через filter-таблицу FORWARD). Т.е. кто
отмаршрутизируется через данный хост - свободно уйдет в Cеть, потому как после
stop все правила сбрасываются в default state  (ACCEPT) - а это уже проблемы с
security.
------- Comment #3 From 2003-01-08 22:11:22 -------
Fixed in new iptables
------- Comment #4 From 2003-01-08 22:11:22 -------
Fixed in new iptables